%define module  Class-Accessor
%define name    perl-%{module}
%define version 0.31
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Automated accessor generation
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Class/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This module automagically generates accessor/mutators for your class.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Class
%{_mandir}/man3/*




%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.31-1mdv2008.1
+ Revision: 136680
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-1mdv2008.0
+ Revision: 52484
- update to new version 0.31


* Tue Mar 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2007.1
+ Revision: 142370
- new version
- Import perl-Class-Accessor

* Thu Aug 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.27-1mdv2007.0
- New version 0.27
- fic directory ownership
- better sumary

* Sat Apr 01 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.25-1mdk
- 0.25
- Add tests

* Sat Apr 01 2006 Buchan Milne <bgmilne@mandriva.org> 0.22-2mdk
- Rebuild
- use mkrel

* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdk
- New release 0.22

* Tue Nov 16 2004 Oden Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.19-1mdk
- initial contrib.

